package com.sun.jmx.remote.protocol.rmi;

import java.io.IOException;
import java.net.MalformedURLException;
import javax.management.remote.rmi.RMIConnectorServer;
import javax.management.remote.JMXConnectorServer;
import javax.management.MBeanServer;
import java.util.Map;
import javax.management.remote.JMXServiceURL;
import javax.management.remote.JMXConnectorServerProvider;

public class ServerProvider implements JMXConnectorServerProvider
{
    public ServerProvider() {
    }
    
    @Override
    public JMXConnectorServer newJMXConnectorServer(JMXServiceURL url, Map<String, ?> environment, MBeanServer mbeanServer) throws IOException {
        if (!url.getProtocol().equals("rmi")) {
            throw new MalformedURLException("Protocol not rmi: " + url.getProtocol());
        }
        return new RMIConnectorServer(url, environment, mbeanServer);
    }
}
